Retrieves the job_files with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
job_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| jobs_id |
Job Id |
globally unique identifier |
Required |
| job_approval_id |
Job approval Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id | globally unique identifier | ||
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier | ||
| show_on_web | boolean | ||
| db_report_id |
The id of db_report |
globally unique identifier |
Response Formats
application/json, text/json
{
"id": "cf2926c7-9f1e-45ef-b122-7d2aa4cfc163",
"jobs_id": "594de1b8-afbb-4ef3-bafa-1662fcc9b7d1",
"job_approval_id": "c4dc7822-257b-488c-a094-aee8e1296807",
"file_name": "sample string 4",
"name": "sample string 5",
"description": "sample string 6",
"tags": "sample string 7",
"mime_type": "sample string 8",
"file_type": "sample string 9",
"image_height": 10,
"image_width": 11,
"file_size": 12,
"sales_organization_id": "01f1dc54-8b59-4bd1-a6f1-3c13792a2ed1",
"sales_organization_code": "sample string 14",
"file_content": "QEA=",
"dateutc_added": "2026-03-24T07:15:10.261455+00:00",
"modified_dateutc": "2026-03-24T07:15:10.261455+00:00",
"user_id": "a93524a9-52f4-413b-a013-b8c83df274d3",
"show_on_web": true,
"db_report_id": "d6bf2bc0-2864-44ad-9f4a-8a25ab8207ed"
}